Database Upgrade Required

Your Surfside database is out-of-date, and must be upgraded before you can continue.

Surfside database will be upgraded from version 3.9.1 to the new version 3.11.0.

Important notes for large Surfside installations

If you have a large Surfside database, updates might take too long to run in the browser. In this situation, you can execute the updates from your command line:

php /var/www/html/matomo/console core:update

If you manage a high traffic Surfside server, we recommend to momentarily disable visitor Tracking and put the Surfside User Interface in maintenance mode.

FYI: these are the SQL queries and console commands that will be executed to upgrade your database to Surfside 3.11.0

› Click here to view and copy the list of SQL queries and console commands that will get executed

Need help upgrading Surfside?

If you need support to upgrade your Surfside, the creators of Surfside are here to help you make the Surfside upgrade a success and provide all instructions, best practises and ongoing support. Contact the Surfside experts to get started upgrading your Surfside safely.

Ready to go?

The database upgrade process may take a while, so please be patient.

File integrity check failed and reported some errors. You should fix this issue and then refresh this page until it shows no error.